[CentOS] upgrade python to python2.6.4 using yum

Agnello George agnello.dsouza at gmail.com
Tue Oct 5 04:32:10 EDT 2010


Hi

How would i upgrade python to python2.6.4 using a yum repository ( on all my
servers ) and cause manual configuration is time consuming, i am using cent
OS 5.4 32 bit

Is there an already available repository to do this.?

------------------------------------------------------------------------------

I had tried to install it using contemporary method ( ./configure ; make
;make install) .. but i get the following error when trying to upgrade .

make
:
:
:
ar cr libpython2.6.a Modules/threadmodule.o  Modules/signalmodule.o
Modules/posixmodule.o  Modules/errnomodule.o  Modules/pwdmodule.o
Modules/_sre.o  Modules/_codecsmodule.o  Modules/zipimport.o
Modules/symtablemodule.o  Modules/xxsubtype.o
ranlib libpython2.6.a
gcc -pthread  -Xlinker -export-dynamic -o python \
                        Modules/python.o \
                        libpython2.6.a -lpthread -ldl  -lutil   -lm
libpython2.6.a(posixmodule.o): In function `posix_tmpnam':
/tmp/Python-2.6.4/./Modules/posixmodule.c:7180: warning: the use of
`tmpnam_r' is dangerous, better use `mkstemp'
libpython2.6.a(posixmodule.o): In function `posix_tempnam':
/tmp/Python-2.6.4/./Modules/posixmodule.c:7135: warning: the use of
`tempnam' is dangerous, better use `mkstemp'
running build
running build_ext

Failed to find the necessary bits to build these modules:
bsddb185           sunaudiodev
To find the necessary bits, look in setup.py in detect_modules() for the
module's name.

running build_scripts

=================================================================

any reference / tips will be of great help




-- 
Regards
Agnello D'souza
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos/attachments/20101005/96e492c6/attachment.html 


More information about the CentOS mailing list